Difference between revisions of "Convert a FreeBSD System to PC-BSD®/9.2"

From PC-BSD Wiki
Jump to: navigation, search
(minor update)
Line 2: Line 2:
  
 
Make sure you have these ports installed, using pkg_add or ports:
 
Make sure you have these ports installed, using pkg_add or ports:
{{txtbox|box=
+
{{txtbox|pre|width=48%|box=
devel/subversion<br>
+
devel/subversion
devel/cmake<br>
+
devel/cmake
devel/cmake-gui<br>
+
devel/cmake-gui
devel/gmake<br>
+
devel/gmake
devel/qt4-assistant<br>
+
devel/qt4-assistant
devel/qt4-assistant-adp<br>
+
devel/qt4-assistant-adp
devel/qt4-designer<br>
+
devel/qt4-designer
misc/qt4-doc<br>
+
misc/qt4-doc
devel/qt4-libqtassistantclient<br>
+
devel/qt4-libqtassistantclient
devel/qt4-linguist<br>
+
devel/qt4-linguist
devel/qt4-moc<br>
+
devel/qt4-moc
devel/qmake4<br>
+
devel/qmake4
devel/qt4-rcc<br>
+
devel/qt4-rcc
devel/qt4-qtsolutions-singleapplication
+
devel/qt4-qtsolutions-singleapplication}}
}}
+
  
 
Then run:
 
Then run:
{{txtbox|box=
+
{{txtbox|pre|width=48%|box={{pound}} svn co <nowiki>svn://</nowiki>svn.pcbsd.org/pcbsd/current current
{{pound}} svn co <nowiki>svn://</nowiki>svn.pcbsd.org/pcbsd/current current<br>
+
{{pound}} cd current/src-sh
{{pound}} cd current/src-sh<br>
+
{{pound}} make
{{pound}} make<br>
+
{{pound}} make install
{{pound}} make install<br>
+
{{pound}} cd ../src-qt4/libpcbsd
{{pound}} cd ../src-qt4/libpcbsd<br>
+
{{pound}} qmake-qt4 *.pro>
{{pound}} qmake-qt4 *.pro<br>
+
{{pound}} make
{{pound}} make<br>
+
{{pound}} make install
{{pound}} make install<br>
+
{{pound}} cd ..
{{pound}} cd ..<br>
+
{{pound}} qmake-qt4 *.pro
{{pound}} qmake-qt4 *.pro<br>
+
{{pound}} make
{{pound}} make<br>
+
{{pound}} make install
{{pound}} make install|
+
|txt=The keyword 'current' means this would not be the release (9.1) version.<br>
The keyword 'current' means this would not be the release (9.1) version.<br>
+
 
<br> <!-- These empty lines help align the above sentence with the top -->
 
<br> <!-- These empty lines help align the above sentence with the top -->
 
<br> <!-- If there were more text it could be added. -->
 
<br> <!-- If there were more text it could be added. -->

Revision as of 02:06, 18 February 2013

Make sure you have these ports installed, using pkg_add or ports:

devel/subversion

devel/cmake devel/cmake-gui devel/gmake devel/qt4-assistant devel/qt4-assistant-adp devel/qt4-designer misc/qt4-doc devel/qt4-libqtassistantclient devel/qt4-linguist devel/qt4-moc devel/qmake4 devel/qt4-rcc

devel/qt4-qtsolutions-singleapplication

Then run:

# svn co svn://svn.pcbsd.org/pcbsd/current current

# cd current/src-sh # make # make install # cd ../src-qt4/libpcbsd # qmake-qt4 *.pro> # make # make install # cd .. # qmake-qt4 *.pro # make

# make install
The keyword 'current' means this would not be the release (9.1) version.












source

Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox